Skip to main content
POST
/
api
/
v1
/
monitors
/
{monitorId}
/
auth
Set authentication config for a monitor
curl --request POST \
  --url https://api.devhelm.io/api/v1/monitors/{monitorId}/auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {
    "type": "api_key",
    "headerName": "<string>",
    "vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
'
import requests

url = "https://api.devhelm.io/api/v1/monitors/{monitorId}/auth"

payload = { "config": {
        "type": "api_key",
        "headerName": "<string>",
        "vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    config: {
      type: 'api_key',
      headerName: '<string>',
      vaultSecretId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
    }
  })
};

fetch('https://api.devhelm.io/api/v1/monitors/{monitorId}/auth', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "config": {
      "type": "api_key",
      "headerName": "<string>",
      "vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

monitorId
string<uuid>
required

Body

application/json
config
object
required

Response

Created

data
object
required